RLATORLE(1)

NAME
rlatorle - convert a Wavefront "rla" or "rlb" image file into an RLE image file.

SYNOPSIS
rlatorle [ -b ] [ -h ] [ -v ] [ -m ] [ -o outfile ] [ infile.rla ]

DESCRIPTION
This program converts Wavefront image files (rla or rlb formats) into Utah RLE(5) image files. Wavefront image files store RGB data as well as a matte channel. They also define a "bounding box" containing non-background pixels which is in many cases smaller than the total image area. Only this non-background area is run length encoded. When converting to an RLE file, the matte channel is stored as an alpha channel and the "bounding box" dimensions are ignored. It is for this reason that in general the RLE version of the file will be larger than its Wavefront counterpart.

The RLE file will contain a "true color" image (24 bits). These RLE files may then be viewed using any RLE image viewer. When they are displayed on an 8 bit display, the image will be dithered. In order to produce a better looking image (on 8 bit displays), it is recommended that the image be quantizing (to 8 bit mapped color) prior to its display. This may be done by piping the output of this program into the Utah mcut(1) or rlequant(1) utilities. An example of this is shown later.

OPTIONS

-b  This option will cause rlatorle to convert from a Wavefront "rlb" image rather than use the default "rla" conversion.

-v  This option will cause rlatorle to operate in verbose mode. The header information is written to "stderr".

-h  This option allows the header of the wavefront image to be dumped to "stderr" without converting the file. It is equivalent to using the -v option except that no file conversion takes place.

-m  This option will cause rlatorle to ignore the RGB data and use the matte channel information to produce a monochrome image. The resulting RLE image file will contain only one color channel instead of the usual four (RGB + alpha).

-o outfile
    If specified, the output will be written to this file. If outfile is "-", or if it is not specified, the output will be written to the standard output stream.

infile.rla
    The name of the Wavefront image data file to be converted. It is not necessary to supply the ".rla" or ".rlb" extension as it will be added to the supplied name if not already there.

EXAMPLES

rlatorle -v test.0001.rla -o test.rle
    While running in verbose mode, convert test.0001.rla to RLE format and store resulting data in test.rle.

rlatorle test.0001.rla | mcut >test.rle
    Convert test.0001.rla to RLE format and convert to 8 bit mapped color before storing data in test.rle

rlatorle -h test.0001.rla
    Dump the header information of the Wavefront file called test.0001.rla.

rlatorle -b test.0001 | get4d
    Convert test.0001.rlb to RLE format and display the resulting image.

SEE ALSO
mcut(1), rlequant(1), rletorla(1), urt(1), RLE(5).

AUTHOR
Wesley C. Barris
Army High Performance Computing Research Center (AHPCRC)
Minnesota Supercomputer Center, Inc.